net.minecraft.nbt

## Class NBTTagFloat

- java.lang.Object
- - net.minecraft.nbt.NBTBase
  - - net.minecraft.nbt.NBTTagFloat

-     public class NBTTagFloat
      extends NBTBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `data` The float value for the tag.

    - ### Fields inherited from class net.minecraft.nbt.NBTBase

      `NBTTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTTagFloat(String par1Str)`
    `NBTTagFloat(String par1Str, float par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTBase` | `copy()` Creates a clone of the tag.
    `boolean` | `equals(Object par1Obj)`
    `byte` | `getId()` Gets the type byte for the tag.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class net.minecraft.nbt.NBTBase

      `getName, getTagName, newTag, readNamedTag, setName, writeNamedTag`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          public float data

      The float value for the tag.

  - ### Constructor Detail

    - #### NBTTagFloat

          public NBTTagFloat(String par1Str)

    - #### NBTTagFloat

          public NBTTagFloat(String par1Str,
                     float par2)

  - ### Method Detail

    - #### getId

          public byte getId()

      Gets the type byte for the tag.
      Specified by:
        `getId` in class `NBTBase`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### copy

          public NBTBase copy()

      Creates a clone of the tag.
      Specified by:
        `copy` in class `NBTBase`

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `NBTBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `NBTBase`